#!/usr/bin/env python3

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import sys
from setuptools import find_packages, setup

assert sys.version_info >= (3,), 'Python 3 is required'


VERSION = '1.0'


setup(
    name='snappy-ecosystem-tests',
    version=VERSION,
    description='Automated tests for Snappy Ecosystem.',
    author='Canonical Platform QA Team',
    author_email='qa-team@lists.canonical.com',
    url='https://launchpad.net/~snappy-ecosystem-tests-dev',
    license='GPLv3',
    packages=find_packages(),
    package_data={
        'snappy_ecosystem_tests': ['tests/data/*/*']
    },
    entry_points={
        'console_scripts': [
            'snappy_ecosystem_tests = snappy_ecosystem_tests.run:main'
        ]
    },
    test_suite='snappy_ecosystem_tests.unittests'
)
