# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Constants used accross the environment setup"""

SNAPD = 'snapd'
SNAPCRAFT = 'snapcraft'

DEPENDENCIES = {
    SNAPD : [],
    SNAPCRAFT : [],
    "shared" : ["expect"]
}

PROFILES = {
    "staging":{
        SNAPD:{
            "channel": "xenial",
            "package_name": 'snapd',
            "environment_variables": {
                "UBUNTU_STORE_API_ROOT_URL":
                    "https://myapps.developer.ubuntu.com/dev/api/",
                "UBUNTU_STORE_UPLOAD_ROOT_URL":
                    "https://upload.apps.ubuntu.com",
                "UBUNTU_SSO_API_ROOT_URL":
                    "https://login.ubuntu.com/api/v2/",
                "UBUNTU_STORE_SEARCH_ROOT_URL":
                    "https://search.apps.ubuntu.com/"
            }
        },
        SNAPCRAFT: {
            "channel": "xenial",
            "package_name": 'snapcraft',
            "environment_variables": {
                "UBUNTU_STORE_API_ROOT_URL":
                    "https://myapps.developer.ubuntu.com/dev/api/",
                "UBUNTU_STORE_UPLOAD_ROOT_URL":
                    "https://upload.apps.ubuntu.com",
                "UBUNTU_SSO_API_ROOT_URL":
                    "https://login.ubuntu.com/api/v2/",
                "UBUNTU_STORE_SEARCH_ROOT_URL":
                    "https://search.apps.ubuntu.com/"
            }
        },
        "snapweb":{
            "url": "https://myapps.developer.ubuntu.com/"
        },
    }
}
