# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Standalone script to setup an ecosystem environment"""

import argparse

import logging

from snappy_ecosystem_tests.environment.managers import get_manager

logging.basicConfig(level=logging.DEBUG)

def main(mode, profile):
    """Main script"""
    manager = get_manager(mode)
    manager.setup(profile)


if __name__ == '__main__':
    PARSER = argparse.ArgumentParser(description=
                                     'Setup a snappy ecosystem environment.')
    PARSER.add_argument('--mode', default="lxd",
                        help='lxd')
    PARSER.add_argument('--profile', default="staging",
                        help='Profile to configure the environment')
    ARGS = PARSER.parse_args()

    main(ARGS.mode, ARGS.profile)
