# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Store snapcraft constants"""

from __future__ import absolute_import, unicode_literals


DEFAULT_SERIES = '16'
SCAN_STATUS_POLL_DELAY = 5
SCAN_STATUS_POLL_RETRIES = 5

# Messages and warnings.
MISSING_AGREEMENT = 'Developer has not signed agreement.'
MISSING_NAMESPACE = 'Developer profile is missing short namespace.'
AGREEMENT_ERROR = (
    'You must agree to the developer terms and conditions to upload snaps.')
NAMESPACE_ERROR = (
    'You need to set a username. It will appear in the developer field '
    'alongside the other details for your snap. Please visit {} and login '
    'again.')
AGREEMENT_INPUT_MSG = (
    'Do you agree to the developer terms and conditions. ({})? [y/N] ')
AGREEMENT_SIGN_ERROR = (
    'Unexpected error encountered during signing the developer terms and '
    'conditions. Please visit {} and agree to the terms and conditions before '
    'continuing.')
TWO_FACTOR_WARNING = (
    'We strongly recommend enabling multi-factor authentication: '
    'https://help.ubuntu.com/community/SSO/FAQs/2FA')
INVALID_CREDENTIALS = 'Invalid credentials supplied.'
AUTHENTICATION_ERROR = ('Problems encountered when authenticating your '
                        'credentials.')
ACCOUNT_INFORMATION_ERROR = ('Unexpected error when obtaining your account '
                             'information.')
