# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Business model classes for snaps"""


class Snap:
    """Represents a snap entity."""

    def __init__(self, name='', price=None, private=False, since=None,
                 _id=None, status=None, notes=None, **kwargs):
        self.name = name
        self.price = price
        self.private = private
        self.since = since
        self._id = _id or kwargs.get('snap-id')
        self.status = status
        self.notes = notes

    def is_private(self):
        """Return True if the snap is private, False otherwise"""
        return self.private
