# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Snapd testcases."""

import testtools

from snappy_ecosystem_tests.helpers.snapd import snapd
from snappy_ecosystem_tests.utils.storeconfig import get_store_credentials


class SnapdTestCase(testtools.TestCase):
    """Tests for snapd."""
    def setUp(self):
        super().setUp()

    def test_info(self):
        """Ensure the publisher of core snap in canonical."""
        self.assertTrue('canonical', snapd.info('core')['publisher'])

    def test_login(self):
        """Login the snapd user."""
        email, password = get_store_credentials()
        self.assertTrue(snapd.login(email, password))
        self.addCleanup(snapd.logout, email)
