# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Test for Login to the Store via RESTful APIs"""

from snappy_ecosystem_tests.helpers.store_apis.rest_apis import Store
from snappy_ecosystem_tests.helpers.test_base import SnappyEcosystemTestCase
from snappy_ecosystem_tests.utils.storeconfig import get_store_credentials


class StoreAPILoginTestCase(SnappyEcosystemTestCase):

    def setUp(self):
        super().setUp()
        self.client = Store()

    def test_api_login_logout(self):
        """Test login and logout functionality in store REST APIs"""
        self.client.login(*get_store_credentials())
        self.client.load_config()
        self.assertIsNotNone(self.client.config.get('macaroon'))
        self.assertIsNotNone(self.client.config.get('unbound_discharge'))
