# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Parse and get all tests data that will be used during test execution"""

import os

from snappy_ecosystem_tests.utils.json import read_json_from_file

# Test data dirs
DIR_TESTS = os.path.realpath(__file__ + '/../../tests')
DIR_TEST_DATA = os.path.join(DIR_TESTS, 'data')
DIR_TEST_DATA_ENTITY = os.path.join(DIR_TEST_DATA, 'entity')

# Test data files
ENTITY_FILE = os.path.join(DIR_TEST_DATA_ENTITY, 'entity.json')


class EntityStack:
    """Class store an entity that is read as
    test data in json files"""

    def __init__(self):
        self.__entities = read_json_from_file(ENTITY_FILE)

    @property
    def entities(self):
        """Get the current entities"""
        return self.__entities
