# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Get host user data."""

import os

from snappy_ecosystem_tests.commons.config import USER_CONFIG_STACK
from snappy_ecosystem_tests.environment.managers import get_manager

MANAGER = get_manager(os.environ['target'])


def get_snapd_remote_host_credentials():
    """Return credentials for snapd remote machine, to run commands on."""
    _ip = MANAGER.get_ip(USER_CONFIG_STACK.get(
        'user', 'snapd_hostname_remote',
        default=os.environ.get('snapd_hostname_remote')))
    return (_ip,
            USER_CONFIG_STACK.get('user', 'snapd_username_remote',
                                  default=os.environ.get(
                                      'snapd_username_remote')),
            USER_CONFIG_STACK.get('user', 'snapd_port_remote',
                                  default=os.environ.get(
                                      'snapd_port_remote')))


def get_snapcraft_remote_host_credentials():
    """Return credentials for snapcraft remote machine, to run commands on."""
    _ip = MANAGER.get_ip(USER_CONFIG_STACK.get(
        'user', 'snapcraft_hostname_remote',
        default=os.environ.get('snapcraft_snapcraft_remote')))
    return (_ip,
            USER_CONFIG_STACK.get('user', 'snapcraft_username_remote',
                                  default=os.environ.get(
                                      'snapcraft_username_remote')),
            USER_CONFIG_STACK.get('user', 'snapcraft_port_remote',
                                  default=os.environ.get(
                                      'snapcraft_port_remote')))
